package y;
public class A
{
	public A()
	{
		System.out.print("Start Konstruktor A!");
		A.halloPublic();
		A.halloPrivate();
		A.halloDefault();
		A.halloProtected();
		System.out.println("Ende Konstruktor A");
	}
	public static void halloPublic()
	{
		System.out.print("halloPublic A! ");
	}
	private static void halloPrivate()
	{
		System.out.print("halloPrivate A! ");
	}
	static void halloDefault()
	{
		System.out.print("halloDefault A! ");
	}
	protected static void halloProtected()
	{
		System.out.print("halloProtected A! ");
	}
}


